package edu.umich.soar.hpp;

/**
 * Type of variable where value is known with certainty
 * (i.e. special case of multi where single value with 1.0 probability)
 */
public class HPPGivenVariable extends HPPVariable {
	
	/**
	 * Supports read-only access to the sole value
	 * 
	 * @return variable value
	 */
	public String getValue() {
		return myValue;
	}

	/**
	 * Basic constructor to initialize name/value
	 * 
	 * @param name variable name
	 * @param value variable value
	 */
	public HPPGivenVariable(String name, String value) {
		super(name);
		
		myValue = value;
	}
	
	/* (non-Javadoc)
	 * @see edu.umich.soar.hpp.HPPVariable#getType()
	 */
	public String getType() {
		return "given";
	}
	
	private final String myValue;	
}
